Read Saved Filter - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Read Saved Filter
Request
GET /v1/saved-filters/{filterId}
cURL
curl --request GET \
--url https://{tenant}.mindbridge.ai/api/v1/saved-filters/{filterId} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/saved-filters/{filterId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/saved-filters/{filterId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/saved-filters/{filterId},
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/saved-filters/{filterId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java
HttpResponse<String> response = Unirest.get("https://{tenant}.mindbridge.ai/api/v1/saved-filters/{filterId}")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://{tenant}.mindbridge.ai/api/v1/saved-filters/{filterId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response
200
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"analysisTypeId": "<string>",
"organizationId": "<string>",
"libraryId": "<string>",
"engagementId": "<string>",
"name": {},
"category": {},
"displayCurrencyCode": "<string>",
"displayLocale": "<string>",
"condition": {
"type": "GROUP",
"conditions": [
{}
]
},
"legacyFilterFormat": true
}
Authorizations
- Authorization: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Path Parameters
- filterId: (string) required.
Filter Type Options
Available options:
LIBRARYORGANIZATIONPRIVATEENGAGEMENT
Data Type Options
Available options:
TRANSACTIONSENTRIESLIBRARY
Legacy Filter Format
- legacyFilterFormat: (boolean) If
truethis filter is saved in a legacy format that can't be represented in the API.